
using Godot;


namespace Rokojori
{  
  [Tool][GlobalClass]
  public partial class Delay : SequenceAction
  {
    [Export]
    public float duration; 

    [Export]
    public TimeLine timeLine;
    

    protected override void _OnTrigger()
    {      
      var sequenceID = DispatchStart();
      
      var eventID = TimeLineManager.ScheduleEventIn( timeLine, duration, 
        ( tle ) =>
        { 
          DispatchEnd( sequenceID ); 
        } 
      );
    
    }

    
  }
}